#include "std.mi"

Function String Fn_SecToMin(int time);

Global	Group		grpMain;
Global	Group		grpCPanel;
Global	Slider		sldSeek;
Global	Int			intSeekdrag;
Global	Text		txtTimer;
Global 	Timer		tmrTextOffTimer;

System.onScriptLoaded(){
	grpMain		= getScriptGroup();
	grpCPanel	= grpMain.findObject("Player.CPanel.Group");
	sldSeek		= grpCPanel.findObject("seek");
	txtTimer	= grpMain.findObject("timer");
	
	tmrTextOffTimer = new Timer;
	tmrTextOffTimer.setDelay(200);
}

System.onScriptUnloading() {
    tmrTextOffTimer.stop();
    delete tmrTextOffTimer;
}

tmrTextOffTimer.onTimer() {
    tmrTextOffTimer.stop();
    txtTimer.setText("");
}

sldSeek.onLeftButtonDown(int x, int y) {
    intSeekdrag = 1;

    int s = (getPosition() / 255) * (getPlayItemLength() / 1000);
    
    txtTimer.setText(Fn_SecToMin(s));
    tmrTextOffTimer.start();
}

sldSeek.onMouseMove(int x, int y) {

    if(intSeekdrag == 1){
        int s = (getPosition() / 255) * (getPlayItemLength() / 1000);

        txtTimer.setText(Fn_SecToMin(s));
        tmrTextOffTimer.start();
    }
}

sldSeek.onLeftButtonUp(int x, int y) {

    int s = (getPosition() / 255) * (getPlayItemLength() / 1000);

    txtTimer.setText(Fn_SecToMin(s));
    tmrTextOffTimer.start();

    intSeekdrag = 0;
}

String Fn_SecToMin(int time) {
    String strMin, strSec;

    int min = time / 60;
    int sec = time % 60;
    
    if(sec < 10){
        strSec = "0" + System.integerToString(sec);
    }
    else{
        strSec = System.integerToString(sec);
    }
    strMin = System.integerToString(min);

    return strMin + ":" + strSec;
}
