#include "std.mi"

Function fn_openpanel(Layer L,int TargetX,int TargetY,int TargetW,int TargetH,Float Speed);
Function fn_fade(Group G, int TargetA, Float Speed);
Function fn_fadelayer(Layer L, int TargetA, Float Speed);

Global	Group	grpMain;
Global	Group	grpCPanel;
Global	Group	grpSInfo;
Global 	Layer	lyrSInfo;
Global 	Layer	lyrCPanel;
Global 	Layer	lyrtglinfobg;
Global 	Layer	lyrrptshf;
Global 	Layer	lyrrptinfo;
Global 	Layer	lyrshfinfo;
Global	Timer	tmrPanel;

System.onScriptLoaded(){
	grpMain			= getScriptGroup();
	grpCPanel		= grpMain.findobject("Player.CPanel.Group");
	grpSInfo		= grpMain.findobject("Player.Songinfo.Group");
	lyrSInfo		= grpMain.findobject("Player.songinfobg");
	lyrCPanel		= grpMain.findobject("Player.cpanelbg");
	lyrtglinfobg	= grpMain.findobject("Player.tglinfobg");
	lyrrptshf		= grpMain.findobject("Player.rptshf");
	lyrrptinfo		= grpMain.findobject("rptstatus");
	lyrshfinfo		= grpMain.findobject("shfstatus");
	
	tmrPanel = new timer;
	tmrPanel.setDelay(50);
	
	tmrPanel.start();
}

System.onScriptUnloading(){
	Delete tmrPanel;
}

tmrPanel.onTimer(){
	tmrPanel.stop();
	fn_openpanel(lyrSInfo, 24, 178, 137, 52, 0.5);
	fn_openpanel(lyrCPanel, 178, 243, 171, 48, 0.5);
	fn_openpanel(lyrtglinfobg, 21, 33, 86, 79, 0.5);
}

lyrtglinfobg.onTargetReached(){
	fn_fade(grpSInfo, 255, 1);
	fn_fade(grpCPanel, 255, 1);
	fn_fadelayer(lyrrptshf, 255, 1);
	fn_fadelayer(lyrrptinfo, 255, 1);
	fn_fadelayer(lyrshfinfo, 255, 1);
}

fn_openpanel(Layer L,int TargetX,int TargetY,int TargetW,int TargetH,Float Speed){
	L.setTargetX(TargetX);
	L.setTargetY(TargetY);
	L.setTargetW(TargetW);
	L.setTargetH(TargetH);
	L.setTargetSpeed(Speed);
	L.gotoTarget();
}

fn_fade(Group G, int TargetA, Float Speed) {
	G.setTargetA(TargetA);
	G.setTargetSpeed(Speed);
	G.gotoTarget();
}

fn_fadelayer(Layer L, int TargetA, Float Speed) {
	L.setTargetA(TargetA);
	L.setTargetSpeed(Speed);
	L.gotoTarget();
}