#include "std.mi"

Function fn_fade(Group G, int TargetA, Float Speed);
Function EQghost();
Function EQunghost();
Function CPanelghost();
Function CPanelunghost();

Global 	Group	grpMain;
Global	Group 	grpCPanel;
Global	Group 	grpSInfo;
Global	Group 	grpEqWindow;
Global	Group 	grpCbtn;
Global	Group 	grpWbtn;
Global	Group 	grpTbtn;
Global	Group 	grpEQBand;
Global	Group 	grpEQBtn;
Global 	Layer	lyrSInfo;
Global 	Layer	lyrCPanel;
Global 	Layer	lyrEQWindow;
Global 	Button	btnPrev;
Global 	Button	btnPlay;
Global 	Button	btnPause;
Global 	Button	btnStop;
Global 	Button	btnNext;
Global 	Button	btnOpen;
Global 	Button	btnPreset;
Global 	ToggleButton	btnEQ;
Global 	ToggleButton	btnEQback;
Global 	ToggleButton	tglShuffle;
Global 	ToggleButton	tglRepeat;
Global 	ToggleButton	tglPList;
Global 	ToggleButton	tglMLib;
Global 	ToggleButton	tglVid;
Global 	ToggleButton	tglEQOn;
Global 	ToggleButton	tglEQAuto;
Global 	ToggleButton	tglEQLock;
Global 	Vis		visVisual;
Global	Text	txtSongArtist;
Global	Text	txtSongTitle;
Global 	Slider	sldVolume;
Global 	Slider	sldSeek;
Global 	Slider	sldPreAmp;
Global 	Slider	sldEq1;
Global 	Slider	sldEq2;
Global 	Slider	sldEq3;
Global 	Slider	sldEq4;
Global 	Slider	sldEq5;
Global 	Slider	sldEq6;
Global 	Slider	sldEq7;
Global 	Slider	sldEq8;
Global 	Slider	sldEq9;
Global 	Slider	sldEq10;
Global 	Timer 	tmrEQWnd;
Global 	Timer 	tmrCpanel;
Global 	int		intCpanelShow;
Global 	int		intEQShow;

System.onScriptLoaded(){
	grpMain			= getScriptGroup();
	grpCPanel		= grpMain.findObject("Player.CPanel.Group");
	grpSInfo		= grpMain.findObject("Player.Songinfo.Group");
	grpEqWindow		= grpMain.findObject("eq.window");
	grpCbtn			= grpCPanel.findObject("Player.Button.Control.Group");
	grpWbtn			= grpCPanel.findObject("Player.Button.Window.Group");
	grpTbtn			= grpCPanel.findObject("Player.ToggleButton.Group");
	grpEQBand		= grpEqWindow.findObject("EQ.Band.Group");
	grpEQBtn		= grpEqWindow.findObject("EQ.Button.Group");
	
	lyrSInfo		= grpSInfo.findObject("Player.songinfobg");
	lyrCPanel		= grpSInfo.findObject("Player.cpanelbg");
	lyrEQWindow		= grpSInfo.findObject("eqwindow.back");
	
	btnPrev			= grpCbtn.findObject("Prev");
	btnPlay			= grpCbtn.findObject("Play");
	btnPause		= grpCbtn.findObject("Pause");
	btnStop			= grpCbtn.findObject("Stop");
	btnNext			= grpCbtn.findObject("Next");
	btnOpen			= grpCbtn.findObject("Open");
	btnPreset		= grpEqWindow.findObject("eq.Preset");
	btnEQ			= grpWbtn.findObject("eq");
	btnEQback		= grpEqWindow.findObject("eq.btnback");
	
	tglShuffle		= grpTbtn.findObject("Shuffle");
	tglRepeat		= grpTbtn.findObject("Repeat");
	tglPList			= grpWbtn.findObject("pl");
	tglMLib			= grpWbtn.findObject("ml");
	tglVid			= grpWbtn.findObject("video");
	tglEQOn			= grpEQBtn.findObject("EQ_ON");
	tglEQAuto		= grpEQBtn.findObject("Auto");
	tglEQLock		= grpEQBtn.findObject("Lock");
	
	visVisual		= grpSInfo.findObject("visual");
	txtSongArtist	= grpSInfo.findObject("songArtist");
	txtSongTitle	= grpSInfo.findObject("songTitle");
	
	sldVolume		= grpCPanel.findObject("volume");
	sldSeek			= grpCPanel.findObject("seek");
	sldPreAmp		= grpEQBand.findObject("preamp");
	sldEq1			= grpEQBand.findObject("eq1");
	sldEq2			= grpEQBand.findObject("eq2");
	sldEq3			= grpEQBand.findObject("eq3");
	sldEq4			= grpEQBand.findObject("eq4");
	sldEq5			= grpEQBand.findObject("eq5");
	sldEq6			= grpEQBand.findObject("eq6");
	sldEq7			= grpEQBand.findObject("eq7");
	sldEq8			= grpEQBand.findObject("eq8");
	sldEq9			= grpEQBand.findObject("eq9");
	sldEq10			= grpEQBand.findObject("eq10");
	
	intCpanelShow = 1;
	intEQShow = 0;

	tmrCPanel = new Timer;
	tmrCPanel.setDelay(50);
	tmrEQWnd = new Timer;
	tmrEQWnd.setDelay(50);
}

System.onScriptUnloading(){
	Delete tmrCpanel;
	Delete tmrEQWnd;
}

btnEQ.onToggle(boolean on){
	tmrCPanel.start();
}

tmrCPanel.onTimer(){
	tmrCPanel.stop();
	if(intCpanelShow == 1){
		fn_fade(grpSInfo,0,0.5);
		fn_fade(grpCPanel,0,0.5);
		intCpanelShow = 0;
	}
}

grpSInfo.onTargetReached(){
	if(intCpanelShow == 0){
		CPanelghost();
		fn_fade(grpEqWindow,255,0.5);
		intEQShow=1;
		EQunghost();
	}
}

btnEQback.onToggle(boolean on){
	tmrEQWnd.start();
}

tmrEQWnd.onTimer(){
	tmrEQWnd.stop();
	if(intEQShow == 1){
		fn_fade(grpEqWindow,0,0.5);
		intEQShow=0;
	}	
}

grpEqWindow.onTargetReached(){
	if(intEQShow == 0){
		EQghost();
		fn_fade(grpSInfo,255,0.5);
		fn_fade(grpCPanel,255,0.5);
		intCpanelShow = 1;
		CPanelunghost();
	}
}

fn_fade(Group G, int TargetA, Float Speed) {
	G.setTargetA(TargetA);
	G.setTargetSpeed(Speed);
	G.gotoTarget();
}



EQghost(){
	lyrEQWindow.setXMLparam("ghost" , "1");
	tglEQOn.setXMLparam("ghost" , "1");
	tglEQAuto.setXMLparam("ghost" , "1");
	tglEQLock.setXMLparam("ghost" , "1");
	btnPreset.setXMLparam("ghost" , "1");
	btnEQback.setXMLparam("ghost" , "1");
}

EQunghost(){
	lyrEQWindow.setXMLparam("ghost" , "0");
	tglEQOn.setXMLparam("ghost" , "0");
	tglEQAuto.setXMLparam("ghost" , "0");
	tglEQLock.setXMLparam("ghost" , "0");
	btnPreset.setXMLparam("ghost" , "0");
	btnEQback.setXMLparam("ghost" , "0");
}

CPanelghost(){
	lyrCPanel.setXMLparam("ghost" , "1");
	btnPrev.setXMLparam("ghost" , "1");
	btnPlay.setXMLparam("ghost" , "1");
	btnPause.setXMLparam("ghost" , "1");
	btnStop.setXMLparam("ghost" , "1");
	btnNext.setXMLparam("ghost" , "1");
	btnOpen.setXMLparam("ghost" , "1");
	tglShuffle.setXMLparam("ghost" , "1");
	tglRepeat.setXMLparam("ghost" , "1");
	btnEQ.setXMLparam("ghost" , "1");
	tglPList.setXMLparam("ghost" , "1");
	tglMLib.setXMLparam("ghost" , "1");
	tglVid.setXMLparam("ghost" , "1");
	lyrSInfo.setXMLparam("ghost" , "1");
	visVisual.setXMLparam("ghost" , "1");
	//txtSongArtist.setXMLparam("ghost" , "1");
	//txtSongTitle.setXMLparam("ghost" , "1");
	sldVolume.setXMLparam("ghost" , "1");
	sldSeek.setXMLparam("ghost" , "1");
}
CPanelunghost(){
	lyrCPanel.setXMLparam("ghost" , "0");
	btnPrev.setXMLparam("ghost" , "0");
	btnPlay.setXMLparam("ghost" , "0");
	btnPause.setXMLparam("ghost" , "0");
	btnStop.setXMLparam("ghost" , "0");
	btnNext.setXMLparam("ghost" , "0");
	btnOpen.setXMLparam("ghost" , "0");
	tglShuffle.setXMLparam("ghost" , "0");
	tglRepeat.setXMLparam("ghost" , "0");
	btnEQ.setXMLparam("ghost" , "0");
	tglPList.setXMLparam("ghost" , "0");
	tglMLib.setXMLparam("ghost" , "0");
	tglVid.setXMLparam("ghost" , "0");
	lyrSInfo.setXMLparam("ghost" , "0");
	visVisual.setXMLparam("ghost" , "0");
	//txtSongArtist.setXMLparam("ghost" , "0");
	//txtSongTitle.setXMLparam("ghost" , "0");
	sldVolume.setXMLparam("ghost" , "0");
	sldSeek.setXMLparam("ghost" , "0");
}