#include "std.mi"

Global Group 	     grpMain;
Global Group 	     grpToggle;
Global Group 	     grpCPanel;
Global Group 	     grpTglInfo;
Global ToggleButton    tglShuffle;
Global ToggleButton    tglRepeat;
Global layer	     lyrRepeat;
Global layer	     lyrShuffle;

System.onScriptLoaded(){

        grpMain			= getScriptGroup();
		grpCPanel		= grpMain.getObject("Player.CPanel.Group");
        grpToggle 		= grpCPanel.getObject("Player.ToggleButton.Group");
		grpTglInfo		= grpMain.getObject("Player.Tglinfo.Group");
        tglShuffle		= grpToggle.findObject("Shuffle");
        tglRepeat		= grpToggle.findObject("Repeat");
        lyrRepeat		= grpTglInfo.getObject("rptstatus");
        lyrShuffle		= grpTglInfo.getObject("shfstatus");

        int p = tglRepeat.getCurCfgVal();
        if (p == 0) lyrRepeat.setXMLparam("image" , "repeat.status.off");
        else if (p == 1) lyrRepeat.setXMLparam("image" , "repeat.status.all");
        else if (p == -1) lyrRepeat.setXMLparam("image" , "repeat.status.track");

        int s = tglShuffle.getCurCfgVal();
        if (s == 0) lyrShuffle.setXMLparam("image" , "shuffle.status.off");
        else if (s == 1) lyrShuffle.setXMLparam("image" , "shuffle.status.on");
}

System.onScriptUnloading() {

}

tglShuffle.onToggle(boolean on) {

        if (on) {
          lyrShuffle.setXMLparam("image" , "shuffle.status.on");
        }else{
          lyrShuffle.setXMLparam("image" , "shuffle.status.off");
        }

}

tglRepeat.onToggle(boolean on) {

        int p = getCurCfgVal();
        if (p == 0) lyrRepeat.setXMLparam("image" , "repeat.status.off");
        else if (p == 1) lyrRepeat.setXMLparam("image" , "repeat.status.all");
        else if (p == -1) lyrRepeat.setXMLparam("image" , "repeat.status.track");

}

